# Generated by Django 4.1.3 on 2022-11-10 09:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('execusion', '0002_alter_shortenurl_course_description_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Creator',
            fields=[
                ('datetimemixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='execusion.datetimemixin')),
                ('name', models.CharField(max_length=50)),
            ],
            bases=('execusion.datetimemixin',),
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('datetimemixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='execusion.datetimemixin')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('authors', models.ManyToManyField(to='execusion.creator')),
            ],
            bases=('execusion.datetimemixin',),
        ),
    ]
